import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoHead1, demoHead2, demoInline, demoBlockquote1, demoBlockquote2, demoList1, demoList2, demoTable } from './util/typography';
import * as TypographyTablesStories from './Typography-tables.stories';

<Meta of={TypographyTablesStories} />

# Tables

Tables will be rendered with a default styling if not marked with `.cui-plain`.

<Canvas withSource="open">
  <Story of={TypographyTablesStories.Tables} />
</Canvas>

## Striped rows

Use `.cui-table-striped` to add zebra-striping to any table row within the `<tbody>`.

<Canvas withSource="open">
  <Story of={TypographyTablesStories.TablesStriped} />
</Canvas>

## Striped rows

Add `.cui-table-hover` to enable a hover state on table rows within a `<tbody>`.

<Canvas withSource="open">
  <Story of={TypographyTablesStories.TablesHover} />
</Canvas>

## Bordered tables

Add `.cui-table-bordered` for borders on all sides of the table and cells.

<Canvas withSource="open">
  <Story of={TypographyTablesStories.TablesBordered} />
</Canvas>
